Folks.ExtendedInfo – folks Reference Manual

# ExtendedInfo

## Object Hierarchy:

## Description:

public interface ExtendedInfo : Object

Arbitrary field interface.

This interface allows clients to store arbitrary fields for contacts in backends that support it.

This interface should be used for application-specific data, in which case the application should use the vCard approach to prefixing non -standard property names: `X-[APPLICATION NAME]-*’. Note that this is a global namespace, shared between all consumers of the backend’s data, so please namespace application-specific data with the application’s name.

This interface should not be used for more general-purpose data which could be better represented with a type-safe interface implemented in libfolks. It must not be used for data which is already represented with a type-safe interface in libfolks.

A good example of data which could be stored on this interface is an e-mail application’s setting of whether a content prefers to receive HTML or plaintext e-mail.

A good example of data which should not be stored on this interface is a contact’s anniversary. That should be added in a separate interface in libfolks.

## Since:

0.11.0

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Methods:

- public virtual async void change_extended_field (string name, ExtendedFieldDetails value) throws PropertyError
  Change the value of an arbitrary field.
- public abstract ExtendedFieldDetails? get_extended_field (string name)
  Retrieve the value for an arbitrary field.
- public virtual async void remove_extended_field (string name) throws PropertyError
  Remove an arbitrary field.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref